package test;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.engine.aisin.entity.KqStatisticsItemVo;
import com.engine.aisin.entity.KqStatisticsVo;
import weaver.general.TimeUtil;
import weaver.general.Util;
import weaver.interfaces.aisin.cron.KqConfirmWfCrob;

import java.time.LocalDate;
import java.time.YearMonth;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/9
 * @Version V1.0
 **/
public class MainTest {

    public static void main(String[] args) {
        List<KqStatisticsItemVo> kqStatisticsItemVoList = new ArrayList<>();
        kqStatisticsItemVoList.add(KqStatisticsItemVo.builder()
                .name("未出勤人数")
                .id("leavePersons")
                .title("未出勤人数")
                .type("ABSENT")
                .value("0")
                .build());

        kqStatisticsItemVoList.add(KqStatisticsItemVo.builder()
                .name("实际出勤人数")
                .id("realPersons")
                .title("实际出勤人数")
                .type("REALPERSONS")
                .value("0")
                .build());

        KqStatisticsVo build = KqStatisticsVo.builder()
                .name("应出勤(人)")
                .id("workPersons")
                .title("出勤统计")
                .value("0")
                .items(kqStatisticsItemVoList)
                .build();
        System.out.println(build.toString());
    }

    public static  String firstDayOfMonth(String yearMonthStr) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");
        YearMonth yearMonth = YearMonth.parse(yearMonthStr, formatter);
        LocalDate firstDayOfMonth = yearMonth.atDay(1);
        return firstDayOfMonth.format(DateTimeFormatter.ofPattern("yyyy-MM-dd"));


    }


    public static  String lastDayOfMonth(String yearMonthStr) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM");
        YearMonth yearMonth = YearMonth.parse(yearMonthStr, formatter);
        LocalDate lastDayOfMonth = yearMonth.atEndOfMonth();
        return lastDayOfMonth.format(DateTimeFormatter.ofPattern("yyyy-MM-dd"));

    }
}
